/*
============================================================================================================================
MASONRY :: MASTER STYLES
============================================================================================================================
*/

#masonry-container {
}

.row-container {
	text-align: center;
}

.row-container, .masonry-item {
	margin: 0px;
	padding: 0px;
	font-size: 0px;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
}

.masonry-item {
	width: 46%;
	margin: 0px;
	display: inline-block;
	vertical-align: top;
	height: 280px;
	margin-bottom: 20px;
}

.place-holder-image {
	height: 130px;
	margin: 0px 0px 20px 0px;
}

.masonry-item:nth-child(odd) {
	margin-right: 20px;
/* 	background: black; */
}

.masonry-item:nth-child(even) {
/* 	background: pink; */
}

.masonry-item.stack {
	display: none;
}

.masonry-item .place-holder-image:nth-child(2) {
	margin: 0px;
}

.masonry-item a {
	display: block;
	width: 100%;
	height: 100%;
	position: relative;
}

.masonry-item, .masonry-item a {
	-webkit-transition: all 200ms ease-in-out;
	-moz-transition: all 200ms ease-in-out;
	-ms-transition:  all 200ms ease-in-out;
	-o-transition: all 200ms ease-in-out;
	transition: all 200ms ease-in-out;
	-webkit-backface-visibility: hidden;
}

.masonry-details {
	text-align: center;
}

#section-instructors .masonry-post-title {
	color: #000;
	font-size: 11px;
	line-height: 90%;
	margin: 0px;
}

#masonry-container .place-holder-image, #masonry-container .masonry-item a {
	background-position: center center;
	background-repeat: no-repeat;
	-webkit-background-size: cover;
	-moz-background-size: cover;
	-o-background-size: cover;
	background-size: cover;
}

#masonry-container .masonry-details {
	width: 100%;
	padding: 15px 4px;
	text-align: center;
	background: rgba(255, 255, 255, 0.45);
	-webkit-transition: all 200ms ease-in-out;
	-moz-transition: all 200ms ease-in-out;
	-ms-transition:  all 200ms ease-in-out;
	-o-transition: all 200ms ease-in-out;
	transition: all 200ms ease-in-out;
	-webkit-backface-visibility: hidden;
	position: absolute;
	bottom: 0px;
	color: #000;
}

#masonry-container a:hover .masonry-details {
	background: rgba(255, 255, 255, 0.85);
}

#masonry-container a:hover {
	-khtml-opacity: 1;  
	-moz-opacity: 1;  
	-ms-filter: alpha(opacity=100); 
	-ms-filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=100); 
	filter: alpha(opacity=100);
	opacity: 1;
}

.masonry-item .place-holder-image:nth-child(1) {
	background: rgba(0, 0, 0, 0.05);
}

.masonry-item .place-holder-image:nth-child(2) {
	background: rgba(0, 0, 0, 0.07);
}

.masonry-item .place-holder-image:nth-child(3) {
	background: rgba(0, 0, 0, 0.09);
}

.masonry-item .place-holder-image:nth-child(4) {
	background: rgba(0, 0, 0, 0.11);
}

@media only screen and (min-width: 40.063em)  { 
	
	.row-container {
		text-align: center;
	}
	
	.masonry-item.stack {
		display: inline-block;
	}
	
	.masonry-item {
		height: 400px;
		width: 30%;
		margin: 0px 20px 20px 0px;
		float: none;
	}
	
	#section-instructors .masonry-post-title {
		font-size: 16px;
	}

	.place-holder-image {
		height: 190px;
		margin: 0px 0px 20px 0px;
	}
	
	.masonry-item:nth-child(3n) { 
		margin-right: 0px;
	}
	
	.masonry-item:nth-child(9n + 1) {
/* 		background: green; */
	}
	
	.masonry-item:nth-child(9n + 2) {
/* 		background: pink; */
	}
	
	.masonry-item:nth-child(9n + 3) {
/* 		background: #fcff4b; */
	}
	
	.masonry-item:nth-child(9n + 4) {
		width: 40%;
/* 		background: #7b6fb6; */
	}
	
	.masonry-item:nth-child(9n + 5) {
		width: 30%;
/* 		background: #6fb583; */
	}
	
	.masonry-item:nth-child(9n + 6) {
		width: 20%;
	}
	
	.masonry-item:nth-child(9n + 7) {
/* 		background: teal; */
	}
	
	.masonry-item:nth-child(9n + 8) {
/* 		background: brown; */
	}
	
	.masonry-item:nth-child(9n + 9) {
/* 		background: #233605; */
	}
	
} /* min-width 641px */

@media only screen and (min-width: 64.063em) {
	
	.masonry-item {
		height: 460px;
	}

	.place-holder-image {
		height: 220px;
	}
	
	#section-instructors .masonry-post-title {
		font-size: 20px;
	}
	
} /* min-width 1025px */

@media only screen and (min-width: 90.063em) {
	
	.masonry-item {
		height: 500px;
	}

	.place-holder-image {
		height: 240px;
	}
	
} /* min-width 1441px */

@media only screen and (min-width: 120.063em) { 
	
	.masonry-item {
		height: 520px;
	}

	.place-holder-image {
		height: 250px;
	}

} /* min-width 1921px */

@media only screen and (min-width: 40.063em) and (max-width: 64em) { 
	
} /* min-width 641px and max-width 1024px, use when QAing tablet-only issues */

@media only screen and (min-width: 64.063em) and (max-width: 90em) {
} /* min-width 1025px and max-width 1440px, use when QAing large screen-only issues */

@media only screen and (min-width: 90.063em) and (max-width: 120em) { 
} /* min-width 1441px and max-width 1920px, use when QAing xlarge screen-only issues */

@media only screen and (min-width: 120.063em) { /* min-width 1921px, xlarge screens */
}